function [L,U] = mlu(A)
    % Descomposición LU
    n = size(A,1);
    U = A;
    L = eye(n);
    for k = 1:n-1
        v = k:n;
        for ii = k+1:n
            L(ii,k) = U(ii,k)/U(k,k);
            U(ii,v) = U(ii,v) - L(ii,k)*U(k,v);
        end
    end
end

